--[[
************************************************************************
Project				: SKG
Author				: zhinjio
Project Revision	: r133
Project Date		: 20090128120151

File				: Globals.lua
Commit Author		: zhinjio
Commit Revision		: 133
Commit Date			: 20090128120151
************************************************************************
Description	:
	This file contains the starting initialization for the addon, as well
	as declarations of all global variables used throughout the remaining
	files. This is the first file in the loading sequence.

TODO		:

************************************************************************
(see bottom of file for changelog)
************************************************************************
--]]

local MODNAME = "SKG"
local FULLNAME = MODNAME
local SKG = LibStub( "AceAddon-3.0" ):NewAddon(
	"SKG",
--	"AceConfig-3.0",
	"AceConsole-3.0",
	"AceEvent-3.0",
	"AceComm-3.0",
	"AceSerializer-3.0",
	"AceHook-3.0" )

_G[ MODNAME ] = SKG
local addon = SKG

--------------------------------------------------------------------------------------------------
-- Global SKG variables
--------------------------------------------------------------------------------------------------
-- variable used for initial load sequencing
addon.INIT_GUILD = 0
-- Possible values here are "(U)ser", "(S)yncer", "(P)roxy", "(A)dmin"
-- Assume lowest level until proven otherwise
addon.SECURITY_LEVEL = "U"
-- used later to keep people from being stupid if we disabled ourselves
addon.isEnabled = false
--[[
************************************************************************
CHANGELOG:
Date : 1/25/09
	Rewrite
Date : 12/21/08
	Adding filters, etc for Death Knight compatibility
Date : 10/21/08
	Initial attempt with Ace3 instead of LibRock. Probably will require
	major edits once. Added header/footer. Moved a few docs to new doc
	file. 
************************************************************************
]]--